.new-pagination-container {
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 8px;
    margin: 40px 0 0 0;
}

@media (max-width: 767px) {
    .new-pagination-container {
        margin: 24px 0 0 0;
    }
}

.new-pagination {
    display: flex;
    flex-wrap: nowrap;
}

@media (min-width: 767px) {
    .new-pagination {
        gap: 8px;
    }
}

@media (max-width: 767px) {
    .new-pagination {
        gap: 2px;
    }
}

.new-pagination__button {
    display: inline-flex;
    width: 32px;
    height: 32px;
    align-items: center;
    justify-content: center;
    border: 1px solid rgba(18, 18, 18, 0.16);
    border-radius: 4px;
    font-family: 'Inter';
    font-style: normal;
    font-weight: 500;
    font-size: 14px;
    line-height: 16px;
    text-decoration: none;
    color: #121212;
    cursor: pointer;
}

.new-pagination__button:hover {
    color: #4d66ff;
}

.new-pagination__button:hover path {
    fill: #4d66ff;
}

.new-pagination__button--active {
    background: #4d66ff;
    border: none;
    color: #ffffff;
}

.new-pagination__button--active:hover {
    color: #ffffff;
}

.new-pagination__button--separator {
    pointer-events: none;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    border: none;
    cursor: default;
}

.new-pagination__button--separator .new-pagination__icon-separator g path {
    fill: #c6c6c6;
}

.new-pagination__row-count-text {
    font-family: 'Lato';
    font-size: 16px;
    line-height: 24px;
    font-weight: 400;
    color: #121212;
    margin: 0 8px 0 0;
}

.new-pagination__row-count-link {
    margin: 0 8px;
    color: #c6c6c6;
    font-size: 14px;
    line-height: 16px;
    font-weight: 500;
    transition: color 0.3s ease-out;
    cursor: pointer;
    font-family: 'Inter';
}

.new-pagination__row-count-link:hover,
.new-pagination__row-count-link:active {
    color: #121212;
}
.new-pagination__row-count-link.active {
    color: #121212;
}
@media (max-width: 767px) {
    .new-pagination__row-count {
        display: none;
    }
    .new-pagination-container {
        justify-content: center;
    }
}

.go-to-page {
    display: flex;
    align-items: center;
    gap: 8px;
    margin-left: 32px;
}

@media (max-width: 1279px) {
    .go-to-page {
        display: none;
    }
}

.go-to-page__label {
    margin-bottom: 0;
    font: normal 500 16px/112% "Inter", sans-serif
}

.go-to-page__input {
    width: 50px;
    height: 32px;
    padding-left: 5px;
    border: 1px solid #d9d9d9;
    border-radius: 2px;
    -moz-appearance: textfield;
}

.go-to-page__input::-webkit-outer-spin-button,
.go-to-page__input::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

